Bug 591147 - strange listing of systems with a particular devices
Summary: strange listing of systems with a particular devices
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: inventory   
(Show other bugs)
Version: 0.5
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-11 14:54 UTC by Ales Zelinka
Modified: 2010-05-26 17:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-26 17:17:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ales Zelinka 2010-05-11 14:54:56 UTC
Description of problem:

Go to hp-bl480c-01.rhts.eng.bos.redhat.com's inventory page
Select "Details" tab
Click "Smart Array Controller" device.

You'll get to https://beaker.engineering.redhat.com/devices/view/833 where there is no trace of hp-bl480c-01.rhts.eng.bos.redhat.com.

But! There are 6 pages of results, each with 1-3 machines. And, finally, on the 6th page is our machine.

In addition, there should be 59 machines found but only 9 are listed on those 6 pages (and those are not unique - mrg41.lab.bos.redhat.com is listed three times)

And the "Show All" does nothing.

Version-Release number of selected component (if applicable):
Version - 0.5.33

Comment 1 Raymond Mancy 2010-05-11 23:24:30 UTC
We've seen this behaviour before, specifically https://bugzilla.redhat.com/show_bug.cgi?id=567641

It seems it wasn't just a glitch in the matrix as previously thought.

Comment 2 Raymond Mancy 2010-05-12 01:36:05 UTC
There was a problem with the SQL and duplicate entries.Also the paginate decorator

http://git.fedoraproject.org/git/?p=beaker.git;a=commit;h=a3b5d82e4c4cae0a794c30a10a44a23a4f937644

Comment 3 Bill Peck 2010-05-24 18:46:25 UTC
merged into master, will be in next release.


Note You need to log in before you can comment on or make changes to this bug.